/* IMPORT DES POLICES */
@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-01Extrafin.woff2") format("woff2");
    font-weight: 200;
    /* Extra-Light */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-02Mince.woff2") format("woff2");
    font-weight: 300;
    /* Light */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-03Regular.woff2") format("woff2");
    font-weight: 400;
    /* Regular */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-04Gras.woff2") format("woff2");
    font-weight: 500;
    /* Bold */
    font-style: normal;
}

@-webkit-keyframes shine {
    from {
        -webkit-mask-position: 150%;
    }

    to {
        -webkit-mask-position: -50%;
    }
}


:root {
    --color-main-black: #120801;
    --color-main-black-60: #1208019c;
    --color-main-black-40: #12080165;
    --color-main-blue: #183a37;
    --color-main-cyan: #527673;
    --color-main-orange: #fdad86;
    --color-main-white: #fdf7f0;
}


*,
*::after,
*::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    font-style: normal;
    text-decoration: none;
}

li {
    list-style: none;
}

h1 {
    font-family: Grotesk;
    font-weight: 400;
    font-size: 4rem;
    color: var(--color-main-black);
}

body {
    background: var(--color-main-white);
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
    overflow-x: hidden;
}

p,
label,
input,
button {
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 400;
    font-size: 1.3rem;
    color: var(--color-main-black);
}

h2 {
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 400;
    font-size: 2rem;
    color: var(--color-main-black);
}

.hidden {
    display: none;
}

.header-title {
    text-align: center;
    transition: all 0.2s ease;
}

.header-title:hover {
    -webkit-mask-image: linear-gradient(
        -75deg,
        var(--color-main-black) 20%,
        var(--color-main-black-60) 50%,
        var(--color-main-black) 80%
    );
    -webkit-mask-size: 200%;
    animation: shine 1.5s infinite;
}





/* -----------------/----------\---------------- */
/* ----------------|---PENDU---|---------------- */
/* ----------------\----------/----------------- */

.pendu {
    background-color: white;
}

.pendu header {
    position: absolute;
    top: 0;
    right: 0;
    width: min-content;
    z-index: 100;
}

/* header */
.pendu .header-header {
    margin: 1.5rem;
    display: flex;
    justify-content: end;
    z-index: 10;
}

/* main */

.pendu .titre {
    width: 100%;
    text-align: center;
    font-weight: 800;
    font-size: 3rem;
    font-family: "Roboto", serif;
}

.pendu .logo {
    height: 100%;
}

/* MAIN */

.pendu main {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    width: 100%;
    justify-content: space-between;
}

.pendu .jeu {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.pendu .image {
    width: 100%;
}

.pendu .jeu-lettres {
    height: 20%;
    border: 2px solid #000000;
    padding: 1rem;
}

.pendu .jeu-motCache {
    border: 2px solid #000000;
    padding: 1rem;
    letter-spacing: 1rem;
}

.pendu .propLettre {
    text-decoration: line-through;
    letter-spacing: 10px;
}

.pendu .jeu-envoiReponse {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.pendu .jeu-button {
    max-width: 150px;
    width: 100%;
}

.pendu .inputLettre {
    position: relative;
    padding: 15px 0 0;
    margin-top: 10px;
    width: 50%;
}

.pendu .inputLettre-field {
    font-family: inherit;
    width: 100%;
    border: 0;
    border-bottom: 2px solid var(--color-main-black);
    outline: 0;
    font-size: 1.3rem;
    color: #fff;
    padding: 7px 0;
    background: transparent;
    transition: border-color 0.2s;
    color: var(--color-main-black);
    font-family: "Roboto", serif;
}

.pendu .inputLettre-field::placeholder {
    color: transparent;
}

.pendu .inputLettre-field:placeholder-shown ~ .inputLettre-label {
    font-size: 1.3rem;
    cursor: text;
    top: 20px;
}

.pendu .inputLettre-label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: var(--color-main-black);
}

.pendu .inputLettre-field:focus ~ .inputLettre-label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: var(--color-main-black-60);
    font-weight: 700;
}

.pendu .inputLettre-field:focus {
    padding-bottom: 6px;
    /* border-width: 3px; */

    /* border-image: linear-gradient(270deg, hsla(20, 97%, 76%, 1) 0%, hsla(175, 52%, 45%, 1) 100%); */
    /* border-image-slice: 1; */
}

/* reset input */
.pendu .inputLettre-field:required,
.pendu .inputLettre-field:invalid {
    box-shadow: none;
}



.gb-button1 {
    align-items: center;
    background-color: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 0.25rem;
    box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
    box-sizing: border-box;
    color: rgba(0, 0, 0, 0.85);
    cursor: pointer;
    font-family: "Roboto", serif;
    font-size: 16px;
    font-weight: 500;
    justify-content: center;
    line-height: 1.25;
    margin: 0;
    min-height: 3rem;
    padding: calc(0.875rem - 1px) calc(1.5rem - 1px);
    position: relative;
    text-decoration: none;
    transition: all 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: baseline;
}

.gb-button1:hover,
.gb-button1:focus {
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
    color: rgba(0, 0, 0, 0.65);
}

.gb-button1:hover {
    transform: translateY(-1px);
}

.gb-button1:active {
    background-color: #f0f0f1;
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.06) 0 2px 4px;
    color: rgba(0, 0, 0, 0.65);
    transform: translateY(0);
}






/* version ordinateur de 769px*/
@media (min-width: 1199px) {
    .pendu main {
        flex-direction: row;
    }

    .pendu .jeu {
        width: 40%;
    }

    .pendu .image {
        width: 60%;
    }
}